Currency Class Reference

Currency specification More...

`#include <ql/currency.hpp>`

Inheritance diagram for Currency:
[legend]

## Public Member Functions

| Currency ()
| default constructor More...
Inspectors
const std::string & | name () const
| currency name, e.g, "U.S. Dollar"
const std::string & | code () const
| ISO 4217 three-letter code, e.g, "USD".
Integer | numericCode () const
| ISO 4217 numeric code, e.g, "840".
const std::string & | symbol () const
| symbol, e.g, "$"
const std::string & | fractionSymbol () const
| fraction symbol, e.g, "¢"
Integer | fractionsPerUnit () const
| number of fractionary parts in a unit, e.g, 100
const Rounding & | rounding () const
| rounding convention
std::string | format () const
| output format More...

## Related Functions

(Note that these are not member functions.)
bool | operator== (const Currency &, const Currency &)
bool | operator!= (const Currency &, const Currency &)
std::ostream & | operator<< (std::ostream &, const Currency &)

## Other information

ext::shared_ptr< Data > | data_
bool | empty () const
| is this a usable instance?
const Currency & | triangulationCurrency () const
| currency used for triangulated exchange when required

## Detailed Description

Currency specification

## Constructor & Destructor Documentation

## Currency()

Currency | ( |  | ) |

default constructor

Instances built via this constructor have undefined behavior. Such instances can only act as placeholders and must be reassigned to a valid currency before being used.

## Member Function Documentation

## format()

std::string format | ( |  | ) | const

output format

The format will be fed three positional parameters, namely, value, code, and symbol, in this order.